/ api / name / gb.loadfile
GB.LoadFile
Syntax

    int GB.LoadFile ( const char *path , long lenp , char **addr , long *len )

Loads a file into memory.

- path points at the file path.
- lenp is the file path length.
- addr will receive the address of the loaded file in memory.
- len will receive the length of the file.

This functions returns `TRUE` if the load has failed, and sets the internal interpreter error flag. So, if you want to raise an error, just return from the method or the property immediately after.

| You must use this function if you want to access a file located into the project or the current component, i.e. if path is relative. The reason is that Gambas executables are mapped into memory, and so in that case this function does not load anything, but just returns a pointer to the file data.

| If you need to access a file located in the project or in the current component as a real file, use the `GB.RealFileName` function.

### See also

File Management